# color.js: Colour Picker

*DEPRICATION WARNING: the functionality in this script has been superceeded / trivialised by updated web standards.*

An alternative for the HTML5 color input element.

## How to include the script

The stylesheet is best included in the header of the document.

```html
<link rel="stylesheet" href="css/color.css"/>
```

This include can be added to the header or placed inline before the script is invoked.

```html
<script src="lib/positions.js"></script>
<script src="lib/range.js"></script>
<script src="js/color.js"></script>
```

```js
requirejs([
	'lib/positions.js',
	'lib/range.js',
	'js/colors.js'
], function(Color) {
	...
});
```

Or use imported as a component in existing projects.

```js
@import {positions} from "js/positions.js";
@import {Range} from "js/range.js";
@import {Color} from "js/colors.js";
```

## How to start the script

This method allows CSS Rules to be used to apply the script to one or more nodes at the same time.

```javascript
var colors = new Color({
	// elements
	'elements' : document.querySelectorAll('input[type=color]'),
	// initial color
	'color' : '#FF0000',
	// on change event
	'onchange' : function () {}
});
```

**elements : {DOM elements}** - A collection of target elements.

**color : {string}** - A colour in hex format for the placeholder text.

**support : {boolean}** - A test to determine which browsers have native support for the color input element.

## License

This work is licensed under a [MIT License](https://opensource.org/licenses/MIT). The latest version of this and other scripts by the same author can be found on [Github](https://github.com/WoollyMittens).
